if settings.startup["restrictionsonartificialtiles_affecttrees"].value then
	for _, tree in pairs(data.raw.tree) do
		if not (tree.name:find("dead%-") or tree.name:find("dry%-")) then
			RestrictionsOnArtificialTiles.Register_tree(tree)
		end
	end
end

if settings.startup["restrictionsonartificialtiles_affectminers"].value then
	for _, mining_drill in pairs(data.raw["mining-drill"]) do
		RestrictionsOnArtificialTiles.Register_miner(mining_drill)
	end
end

if settings.startup["restrictionsonartificialtiles_affectworms"].value then
	RestrictionsOnArtificialTiles.Register_worm(data.raw.turret["small-worm-turret"], 1)
	RestrictionsOnArtificialTiles.Register_worm(data.raw.turret["medium-worm-turret"], 2/3)
	RestrictionsOnArtificialTiles.Register_worm(data.raw.turret["big-worm-turret"], 1/3)
	RestrictionsOnArtificialTiles.Register_worm(data.raw.turret["behemoth-worm-turret"], 0)
end

if settings.startup["restrictionsonartificialtiles_affectspawners"].value then
	RestrictionsOnArtificialTiles.Register_spawner(data.raw["unit-spawner"]["biter-spawner"], 0.5)
	RestrictionsOnArtificialTiles.Register_spawner(data.raw["unit-spawner"]["spitter-spawner"], 0.5)
end

if settings.startup["restrictionsonartificialtiles_affectcliffs"].value then
	for _, cliff in pairs(data.raw.cliff) do
		RestrictionsOnArtificialTiles.Register_cliff(cliff)
	end
end

for _, tile in pairs(data.raw.tile) do
	--TODO: Kind of want to clean this up and leave registering of non-vanilla to modders... maybe?
	if not tile.name:find("landfill") and
		((tile.decorative_removal_probability and tile.decorative_removal_probability > 0) or 
		(tile.order and tile.order:find("artificial")) or
		tile.name:find("concrete") or
		tile.name:find("path") or
		tile.name:find("road") or
		tile.name:find("asphalt") or
		tile.name:find("gravel") or
		tile.name:find("floor")) then
		RestrictionsOnArtificialTiles.Register_tile(tile)
	end
end